#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_NoviceGunLiftCFGData
{
	//编号
	int mID;
	//名称
	std::string mName;
	//升级石返利
	int mRechangId;
	//可升至
	int mRise;
	//礼包id
	int mGiftId;
	//老升级石数量
	std::vector<int> mUpgradeNumber;
};

class M_NoviceGunLiftCFG
{
public:
private:
	static std::auto_ptr<M_NoviceGunLiftCFG> msSingleton;
public:
	int GetCount();
	const M_NoviceGunLiftCFGData* GetData(int ID);
	boost::unordered_map<int, M_NoviceGunLiftCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_NoviceGunLiftCFG* GetSingleton();
private:
	boost::unordered_map<int, M_NoviceGunLiftCFGData> mMapData;
};
